Submit a response
curl --request POST \
--url https://app.harmonica.chat/api/v1/sessions/{id}/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>"
}
'import requests
url = "https://app.harmonica.chat/api/v1/sessions/{id}/responses"
payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://app.harmonica.chat/api/v1/sessions/{id}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"message": "Session is not active"
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "forbidden",
"message": "You don't have access to this session"
}
}{
"error": {
"code": "not_found",
"message": "Session not found"
}
}Endpoints
Submit a response
Submit a response to an active session as the authenticated user. The session must be active and the user must have at least editor access.
POST
/
sessions
/
{id}
/
responses
Submit a response
Authorizations
API key authentication. Pass your key as a Bearer token.
Keys use the format hm_live_<32 hex chars>.
Generate keys from your Harmonica dashboard settings.
Path Parameters
Session ID
Body
application/json
Required string length:
1 - 10000⌘I